import type { TransformOptions } from '@babel/core';
export declare function getPresetEnv<Opt extends {
    modules: false | 'commonjs';
    /**
     * https://babeljs.io/docs/en/babel-preset-env#targets
     */
    targets?: {
        esmodules: true;
    } | Record<string, string> | string | string[];
}>(options: Opt): [string, Opt];
export declare const presetEnvEs: [string, {
    modules: false;
    exclude: string[];
    targets: {
        esmodules: true;
    };
}];
export declare const presetEnvCjs: [string, {
    modules: "commonjs";
}];
export declare const baseConfig: {
    presets: ((string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
export declare const esBabelConfig: {
    presets: ([string, {
        modules: false;
        exclude: string[];
        targets: {
            esmodules: true;
        };
    }] | (string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
export declare const cjsBabelConfig: {
    presets: ([string, {
        modules: "commonjs";
    }] | (string | {
        development: boolean;
    })[] | (string | {
        isTSX: boolean;
        allExtensions: boolean;
        jsxPragma: string;
    })[])[];
    plugins: (string | (string | {
        decoratorsBeforeExport: boolean;
    })[])[];
};
export declare const basicBrowserBabelConfig: TransformOptions;
//# sourceMappingURL=index.d.ts.map